/*
Copyright (c) <2012>, Intel Corporation All Rights Reserved.
 
The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual property rights must be express and approved by Intel in writing.
 
Copyright (c) Microsoft Corporation. All rights reserved
 
Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel’s suppliers or licensors in any way.
*/

/**
 * Created by davebach on 6/17/2014.
 */



function levelSelect(mUserObject) //ready the level by adding the cards.
{
    for(var i = 0; i < mUserObject.sets.length ; i++)
    {
        generateLevel(mUserObject.sets[i]);
    }
}



function addQuestionCards(mySet) //cycles through mySet to add it onto the gamepage
{
    var gameContent = document.getElementById('gameContent');
    pageTransition(document.getElementById('levelSelectPage'), document.getElementById('gamePage'));

    for(var i = 0; i < mySet.questions.length; i++)
    {
        var randomNumber = Math.random()*10;
        console.log(randomNumber);
        if(randomNumber > 4) //random generator for radomizing keywords
        {
            $(gameContent).append('<div class="questionArea">' + mySet.questions[i].question + '</div> <textArea class="answerArea"></textArea>');
            answers.push(mySet.questions[i].answer);
        }
        else
        {
            $(gameContent).prepend('<div class="questionArea">' + mySet.questions[i].question + '</div> <textArea class="answerArea"></textArea>');
            answers.unshift(mySet.questions[i].answer);
        }
        //answers[i]  = mySet.questions[i].answer;
        console.log(mySet.questions[i].answer);
    }   
}


function addCreateSetListener()  //createsetListener
{
    document.getElementById('addPortlet').onclick = function()
    {
        var mIcon = document.getElementById("createSetIcon");
        var mHeader = document.getElementById("addPortletHeader");
        mIcon.classList.add("invisible");
        mHeader.classList.add("invisible");

        var description = document.getElementById("newSetDescription");
        description.classList.remove("invisible");
        var setName = document.getElementById("newSetName");
        setName.classList.remove("invisible");
        document.getElementById("toQuestionMaker").classList.remove("invisible");
    }
}

function toSetMakerListener() //checks the set's name and description to make sure they are valid.
{
  //NEEDS TO BE DONE - gotta to verify that there is not a set of the same name alreayd in
    document.getElementById('toQuestionMaker').onclick = function()
    {
        if( document.getElementById('newSetName').value != "")
        {
            addQuestionPairListener();
            pageTransition(document.getElementById('levelSelectPage'), document.getElementById('createPage'));
        }
        else
            console.log("its should shake, but I am too lazy to implement it")

    }
}


function generateLevel(jsonObject) //generate the porlet and sets the questions. A porlet is the container that represents each level
{



    $("#levelSelectPage").prepend("<div class=\"portlet\" id=\"" + jsonObject.name  + "\"> <div class=\"porletHeader\">" + jsonObject.name + "<\/div>" + 
        '<div class="descriptionBox">' + jsonObject.description + '</div>' + '<div class="questionNumber"> number of questions: ' + jsonObject.questions.length +'</div>' +
        "<\/div>");

    document.getElementById(jsonObject.name).onclick = function()
    {
        clearPage(document.getElementById('gameContent'));
        $('#gameContent').append('<div id="resultArea"></div><button id="restartButton" class="invisible">Restart</button><button id="nextCardButton">Next</button><button id="newLevelButton">New Level</button>');
        addQuestionCards(jsonObject);
        nextButtonFunction();

    }
}


function clearPage(mPage) //clear the questions/answers from the gamePage
{
    answers = [];
    while (mPage.firstChild) {
    mPage.removeChild(mPage.firstChild);
    }
}

function addAddPorlet() //add the portlet that lets the user create a new level back on
{
    $('#levelSelectPage').append('<div  id="addPortlet"><div id="addPortletHeader">Make Your Own</div><div id="createSetIcon" class="sprites write12"> </div><div id="toQuestionMaker" class="invisible"> </div><input type="text" id="newSetName" value="Set Name"class="invisible"><textarea id="newSetDescription" value="Set description.." class="invisible"></textarea></div>');
    addCreateSetListener();
    toSetMakerListener();
}