/*
Copyright (c) <2012>, Intel Corporation All Rights Reserved.
 
The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual property rights must be express and approved by Intel in writing.
 
Copyright (c) Microsoft Corporation. All rights reserved
 
Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel’s suppliers or licensors in any way.
*/

function catalogButtonListener() //add a listener to the catalog button;
{
	document.getElementById('catalogButton').onclick = function() {
		transitionPageIn(document.getElementById('catalogPage'));
		$('#menuButton').click();
	}
}

function logOutButtonListener() //clears user data and log them out
{
		document.getElementById('username').value = '';
		document.getElementById('password').value = '';
		document.getElementById('logOutButton').onclick = function() {
		clearPage(document.getElementById('levelSelectPage'));
		addAddPorlet();
		transitionPageIn(document.getElementById('loginPage'));
		$('#menuButton').click();
		document.getElementById('username').value = "";
		document.getElementById('password').value = "";
		document.getElementById('registerPassword').value = "";
		document.getElementById('registerUserName').value = "";
		document.getElementById('registerEmail').value = "";
		document.getElementById('menuButton').classList.add('invisible');
	}
}

function creditButtonListener() //brings up credit page
{
	document.getElementById('creditButton').onclick = function()
	{
		transitionPageIn(document.getElementById('creditPage'));
		$('#menuButton').click();
	}
}

function transitionPageIn(pageIn) //replaces active Page with desired pageIn. This method is more memory intensive than transitionPage
{
	var pages = document.getElementsByClassName('page');

	for(var i = 0; i < pages.length; i++)
	{
		if(!pages[i].classList.contains('invisible'))
		{
			pageTransition(pages[i], pageIn);
		}
	}
}

function menuButtonListener() //expands the retract menu button
{
    var mMenuButton = document.getElementById('menuButton');
    var menu = document.getElementById('menu');
    mMenuButton.onclick = function()
    {
        if(menu.classList.contains('expand'))
        {
            menu.classList.remove('expand');
            menu.classList.add('retract');
        }
        else
        {
            menu.classList.remove('retract');
            menu.classList.add('expand');
        }
    }
}