/*
Copyright (c) <2012>, Intel Corporation All Rights Reserved.
 
The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual property rights must be express and approved by Intel in writing.
 
Copyright (c) Microsoft Corporation. All rights reserved
 
Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel’s suppliers or licensors in any way.
*/


ws = new WebSocket("ws://10.127.147.159:8080"); //web socket boject


 
ws.onopen = function() //when websocket object opens
{


    document.getElementById('notificationBox').innerHTML = "Connected to Server";
    connected = true;
    
}   

ws.onerror = function() //when websocket object fails
{
    document.getElementById('notificationBox').innerHTML = "failed to connection";
}

var recievedPackage = 0;
ws.onmessage = function(message) //on each message recieve from the socket
{
    console.log("The message was" + message.data);
    var messageArray = message.data.split("@-");

    switch(messageArray[0]) //depending on the 
    {

        case "package": //when a package is recieved
            console.log(messageArray[1]);
            var tObject = JSON.parse(messageArray[1]);
            console.log(tObject);
            addSet(username, tObject.name, tObject.description, tObject.questions);
            clearPage(document.getElementById('levelSelectPage'));
            transitionPageIn(document.getElementById('levelSelectPage'));

        break;
        case "newCatalog": //clears the catalog and populate it with the first porlet
            
            clearPage(document.getElementById('queryResults'));
            var queryBox = document.getElementById('queryResults');
            $(queryBox).append('<div class="cardPackage""><div class="cardPackageHeader"> <b>' + messageArray[1] +'</b></div><div class="importButton" id="package'  + recievedPackage + '"></div> <div class="infoBox"> Creator: '+ messageArray[3]+ '<br> Description: ' +  messageArray[2] +'</div></div>');
            
            document.getElementById("package" + recievedPackage).onclick = function(){
                ws.send("downloadPackage@-" + messageArray[4]);
            };

            recievedPackage++;  //number of recieved packages from the servers
            
            var mSet = JSON.parse(messageArray[1]);
            console.log(mSet);
            
            
        break;

        case "addCatalog": //populate catalog with portlet
            var queryBox = document.getElementById('queryResults');
            $(queryBox).append('<div class="cardPackage" ><div class="cardPackageHeader"> <b>' + messageArray[1] +'</b></div><div class="importButton" id="package'  + recievedPackage + '"></div> <div class="infoBox"> Creator: '+ messageArray[3]+ '<br> Description: ' +  messageArray[2] +'</div></div>');
            
            document.getElementById("package" + recievedPackage).onclick = function(){
                console.log("you clicked " + messageArray[4]);
                ws.send("downloadPackage@-" + messageArray[4]);
            }

            recievedPackage++; //number of recieved packages from the server
        break;
        case "unknown": //room for additional cases
        break;

        default:
            console.log("default switch");
        break;
    }
}

function searchCatalogListener() //sends a request to the server for keyword
{
    document.getElementById('searchButton').onclick = function()
    {
        if(connected == true)
            ws.send("getCatalog@-" + document.getElementById('databaseQuery').value);
    }
}